### Function

# Vips pythagoras

#### Declaration [src]

    float
    vips_pythagoras (
      float L1,
      float a1,
      float b1,
      float L2,
      float a2,
      float b2
    )

#### Description [src]

Pythagorean distance between two points in colour space. Lab/XYZ/CMC etc.

#### Parameters

`L1`

  Type: `float`

  Input coordinate 1.

`a1`

  Type: `float`

  Input coordinate 1.

`b1`

  Type: `float`

  Input coordinate 1.

`L2`

  Type: `float`

  Input coordinate 2.

`a2`

  Type: `float`

  Input coordinate 2.

`b2`

  Type: `float`

  Input coordinate 2.

#### Return value

Type: `float`

No description available.